Create Identity Token
curl --request POST \
--url https://api.anchorbrowser.io/v1/applications/{applicationId}/tokens \
--header 'Content-Type: application/json' \
--header 'anchor-api-key: <api-key>' \
--data '
{
"callbackUrl": "https://example.com/auth/callback"
}
'import requests
url = "https://api.anchorbrowser.io/v1/applications/{applicationId}/tokens"
payload = { "callbackUrl": "https://example.com/auth/callback" }
headers = {
"anchor-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'anchor-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({callbackUrl: 'https://example.com/auth/callback'})
};
fetch('https://api.anchorbrowser.io/v1/applications/{applicationId}/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"tokenHash": "<string>"
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}Applications
Create Identity Token
Creates an identity token for a specific application. This token is used to initiate an authentication flow for linking user identities to the application.
The callback URL must use HTTPS and is where the user will be redirected after authentication.
POST
/
v1
/
applications
/
{applicationId}
/
tokens
Create Identity Token
Authorizations
API key passed in the header
Path Parameters
The unique identifier of the application
Body
application/json
The HTTPS URL where the user will be redirected after authentication. Must use HTTPS protocol.
Example:
"https://example.com/callback"
Was this page helpful?
⌘I

